/*
 * BackupApp.java
 */
package main;

import javax.swing.JOptionPane;
import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * The main class of the application.
 */
public class BackupApp extends SingleFrameApplication {

    /**
     * At startup create and show the main frame of the application.
     */
    @Override
    protected void startup() {
        show(new BackupView(this));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override
    protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of BackupApp
     */
    public static BackupApp getApplication() {
        return Application.getInstance(BackupApp.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        if (args.length > 0) {
            CommandInterface cli = new CommandInterface();
            cli.run(args);
        } else {
            try {
                AppManager.init();
            } catch (Exception ex) {
                String msg = "Unable to start application other instance probably running or problem creating sockets. ";
                JOptionPane.showMessageDialog(null, msg);
                System.exit(1);
            }

            launch(BackupApp.class, args);
        }
    }
}
